# Enum ocl::enums::BufferCmdDataShape [−] [src]

    pub enum BufferCmdDataShape {
        Lin {
            offset: usize,
        },
        Rect {
            src_origin: [usize; 3],
            dst_origin: [usize; 3],
            region: [usize; 3],
            src_row_pitch_bytes: usize,
            src_slc_pitch_bytes: usize,
            dst_row_pitch_bytes: usize,
            dst_slc_pitch_bytes: usize,
        },
    }

The 'shape' of the data to be processed, whether one or multi-dimensional.

Should really be called dimensionality or something.

## Variants

`Lin`

### Fields of `Lin`

`offset: usize` |

`Rect`

### Fields of `Rect`

`src_origin: [usize; 3]` |
`dst_origin: [usize; 3]` |
`region: [usize; 3]` |
`src_row_pitch_bytes: usize` |
`src_slc_pitch_bytes: usize` |
`dst_row_pitch_bytes: usize` |
`dst_slc_pitch_bytes: usize` |

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)